Debian Bug report logs - #449328
barrage: fails to start when no audio device is available

version graph

Package: barrage; Maintainer for barrage is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for barrage is src:barrage.

Reported by: Paul Wise <pabs@debian.org>

Date: Mon, 5 Nov 2007 08:00:02 UTC

Severity: normal

Found in version barrage/1.0.2-1

Fixed in version barrage/1.0.2-2

Done: Barry deFreese <bddebian@comcast.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#449328; Package barrage. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: barrage: fails to start when no audio device is available
Date: Mon, 05 Nov 2007 18:52:29 +1100
[Message part 1 (text/plain, inline)]
Package: barrage
Version: 1.0.2-1
Severity: normal

barrage fails to start when no audio device is available, and fails to
notify the user that there is a problem, other than on the command
line: 

$ barrage
BARRAGE v1.0.2
Copyright 2003-2005 Michael Speck (http://lgames.sf.net)
Released under Gnu GPL
---
main loop delay: 0 ms
No available audio device

Users who cannot use the command line will not be able to see this
message. It should start and run normally when there is no audio device
available (just without any sound), or alternatively notify the user
with a GUI message like "No audio device available, press any key to
exit". 

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-3-686 (SMP w/2 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages barrage depends on:
ii  libc6                         2.6.1-6    GNU C Library: Shared libraries
ii  libsdl-mixer1.2               1.2.8-1    mixer library for Simple DirectMed
ii  libsdl1.2debian               1.2.12-1   Simple DirectMedia Layer

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Reply sent to Barry deFreese <bddebian@comcast.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Paul Wise <pabs@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 449328-close@bugs.debian.org (full text, mbox):

From: Barry deFreese <bddebian@comcast.net>
To: 449328-close@bugs.debian.org
Subject: Bug#449328: fixed in barrage 1.0.2-2
Date: Sun, 30 Mar 2008 18:17:03 +0000
Source: barrage
Source-Version: 1.0.2-2

We believe that the bug you reported is fixed in the latest version of
barrage, which is due to be installed in the Debian FTP archive:

barrage_1.0.2-2.diff.gz
  to pool/main/b/barrage/barrage_1.0.2-2.diff.gz
barrage_1.0.2-2.dsc
  to pool/main/b/barrage/barrage_1.0.2-2.dsc
barrage_1.0.2-2_amd64.deb
  to pool/main/b/barrage/barrage_1.0.2-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 449328@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Barry deFreese <bddebian@comcast.net> (supplier of updated barrage package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 30 Mar 2008 01:15:36 -0400
Source: barrage
Binary: barrage
Architecture: source amd64
Version: 1.0.2-2
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Barry deFreese <bddebian@comcast.net>
Description: 
 barrage    - Rather violent action game
Closes: 449328 472315
Changes: 
 barrage (1.0.2-2) unstable; urgency=low
 .
   [ Gonéri Le Bouder ]
   * copright file:
    - update Debian Games Team home URL
    - change name from pkg-games to Debian Games Team
    - add the year 2003 in the copyright line
   * if nostrip is set in DEB_BUILD_OPTIONS it's useless to do:
     INSTALL_PROGRAM += -s since dh_strip already do the job
   * adds build depends on binutils (>= 2.14.90.0.7), according to dh_strip
     manpage
 .
   [ Eddy Petrișor ]
   * Fix Homepage semi URL
 .
   [ Jon Dowland ]
   * update menu section to "Games/Action" for menu transition
     (thanks Linas Žvirblis)
 .
   [ Cyril Brulebois ]
   * Added Vcs-Svn and Vcs-Browser fields in the control file.
 .
   [ Barry deFreese ]
   * Fix make clean lintian warning.
   * Bump to Standards Version 3.7.3.
     + Menu policy transition.
   * Add quilt patch system.
   * 01_getopt.diff - (Closes: #472315).
     + Return int from getopt, not char.
   * 02_nosound.diff - (Closes: #449328).
     + If no sound card, disable sound and continue.
   * Add myself to uploaders.
   * Remove Homepage from package description.
 .
   [ Jon Dowland ]
   * add Homepage: control field to source stanza
Files: 
 0f7db7e0288c3c90d2c8fb8b651e17c0 963 games optional barrage_1.0.2-2.dsc
 3321de540597f0cca1e49a1243979a79 28762 games optional barrage_1.0.2-2.diff.gz
 6ec9433c7c17db47a1d36b5cc73532c5 413004 games optional barrage_1.0.2-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH79VBx/UhwSKygsoRAgarAJoCp20vQL4MgwNU5VHMznrG/fj7/ACdGySe
DK38FFAsv7NN/1vIbVhyLdI=
=ebtQ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Jun 2008 07:29:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:54:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.